/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomProcessingInstruction_H__
#define __GdomProcessingInstruction_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomProcessingInstruction GdomProcessingInstruction;
typedef struct _GdomProcessingInstructionClass GdomProcessingInstructionClass;


#define GDOM_TYPE_PROCESSING_INSTRUCTION            (gdom_processing_instruction_get_type())
#define GDOM_PROCESSING_INSTRUCTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_PROCESSING_INSTRUCTION, GdomProcessingInstruction))
#define GDOM_PROCESSING_INSTRUCTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_PROCESSING_INSTRUCTION, GdomProcessingInstruction)Class)
#define GDOM_IS_PROCESSING_INSTRUCTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_PROCESSING_INSTRUCTION))
#define GDOM_IS_PROCESSING_INSTRUCTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_PROCESSING_INSTRUCTION))
#define GDOM_PROCESSING_INSTRUCTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_PROCESSING_INSTRUCTION, GdomProcessingInstructionClass))

typedef struct _GdomProcessingInstructionPrivate GdomProcessingInstructionPrivate;

struct _GdomProcessingInstruction {
    GdomNode parent_instance;
    GdomProcessingInstructionPrivate *priv;
};

struct _GdomProcessingInstructionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_processing_instruction_get_type (void);

G_END_DECLS

#endif /* __GdomProcessingInstruction_H__ */
